ORG.FREEDESKTOP.OOM1(5)

NAME
org.freedesktop.oom1 - The D-Bus interface of systemd-oomd

INTRODUCTION

systemd-oomd.service(8) is a system service which implements a userspace out-of-memory (OOM) killer. This page describes the D-Bus interface.

THE MANAGER OBJECT

The service exposes the following interfaces on the Manager object on the bus:

    node /org/freedesktop/oom1 {
      interface org.freedesktop.oom1.Manager {
        methods:
          DumpByFileDescriptor(out h fd);
      };
      interface org.freedesktop.DBus.Peer { ... };
      interface org.freedesktop.DBus.Introspectable { ... };
      interface org.freedesktop.DBus.Properties { ... };
    };

  Methods

...

VERSIONING

These D-Bus interfaces follow the usual interface versioning guidelines[1].

NOTES

1.  the usual interface versioning guidelines
    http://0pointer.de/blog/projects/versioning-dbus.html